Bug 133746 - DNS syntax highlighting incomplete
DNS syntax highlighting incomplete
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-27 02:21 EDT by Ulrich Drepper
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 08:41:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add highlighting support for AAAA, SRV, and IPv6 addresses (1.17 KB, patch)
2004-09-27 02:23 EDT, Ulrich Drepper
no flags Details | Diff

  None (edit)
Description Ulrich Drepper 2004-09-27 02:21:35 EDT
Description of problem:
Some keywords and IPv6 addresses are not highlighted.

Version-Release number of selected component (if applicable):
6.3.028-1

How reproducible:
always

Steps to Reproduce:
1.open /var/named/SOMETHING
2.
3.
  
Actual results:
If AAAA or SRV entries are present, the keyword is not highlighted.
IPv6 addresses are also not highlighted, maybe some parts as numbers.

Expected results:
properly highlighted

Additional info:
I'll attach a patch
Comment 1 Ulrich Drepper 2004-09-27 02:23:50 EDT
Created attachment 104347 [details]
Patch to add highlighting support for AAAA, SRV, and IPv6 addresses

The IPv6 address parsing will also recognize invalid addresses such as 3::4::2
but anything which can do more will be horribly complicated.
Comment 2 Karsten Hopp 2004-09-29 08:41:14 EDT
Thanks. 
Fixed in vim-6.3.028-2 

Note You need to log in before you can comment on or make changes to this bug.